QGIS Application - Bug report #21598
Gpkg: raster slowdown
2019-03-15 08:55 PM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29414
Description

- take this raster: https://www.faunalia.eu/~paolo/250010.tif

- drag and drop it in an existing geopackage

load it from the geopackage in QGIS

- loading takes many seconds, QGIS slows down afterwards, with CPU at 100%

gdal 2.4.0+dfsg-1

History

#1 - 2019-03-15 08:56 PM - Paolo Cavallini

Confirmed on Oseo4W 64 bit - thanks Toto

#2 - 2019-03-16 07:18 AM - Giovanni Manghi
- Operating System deleted (Debian Sid)
- Status changed from Open to Feedback

It may be GDAL's problem, with 2.2.3 this does not happens. If confirmed this should be closed as upstream.

#3 - 2019-03-16 08:06 AM - Paolo Cavallini
- Status changed from Feedback to Open

It is confirmed on two os. Unclear how to check it can be solved upstream.

#4 - 2019-03-16 10:02 AM - Giovanni Manghi
- Status changed from Open to Feedback

Paolo Cavallini wrote:

It is confirmed on two os. Unclear how to check it can be solved upstream.

the evidence (test on two different OSes with QGIS 3 and GDAL 2.2.4, works ok) suggest that there was a regression upstream, therefore this would
https://www.faunalia.eu/~paolo/250010.tif

probably need to be closed as "upstream”.

#5 - 2019-03-16 10:03 AM - Paolo Cavallini
- Status changed from Feedback to Open

It could as well be a problem in QGIS. No way to tell without an analysis.

#6 - 2019-03-17 04:04 PM - Alessandro Pasotti

Unable to reproduce using QGIS master on Ubuntu/18.04 with GDAL 2.2.3

#7 - 2019-03-17 06:20 PM - Alessandro Pasotti

Also unable to reproduce using QGIS master on Ubuntu/18.04 with GDAL 2.4.0
